<?php
/**
 * 2007-2024 TuniSoft
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 * @author    TuniSoft (tunisoft.solutions@gmail.com)
 * @copyright 2007-2024 TuniSoft
 * @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 *  International Registered Trademark & Property of PrestaShop SA
 */
namespace DynamicProduct\lib\dp_trans;

if (!defined('_PS_VERSION_')) {
    exit;
}

class TranslationHelper
{
    /** @var \DynamicProduct */
    public $module;
    /** @var \Context */
    public $context;

    public function __construct($module, $context)
    {
        $this->module = $module;
        $this->context = $context;
    }

    public function getAdminTranslations()
    {
        $source = 'TranslationHelper';

        return [
            // start admin -1262396138
            '3357' => $this->module->l('if', $source),
            '3555' => $this->module->l('or', $source),
            '65665' => $this->module->l('Add', $source),
            '65921' => $this->module->l('All', $source),
            '77124' => $this->module->l('Max', $source),
            '77362' => $this->module->l('Min', $source),
            '78208' => $this->module->l('New', $source),
            '2106261' => $this->module->l('Copy', $source),
            '2228070' => $this->module->l('Grid', $source),
            '2373894' => $this->module->l('Load', $source),
            '2420395' => $this->module->l('Name', $source),
            '2569629' => $this->module->l('Save', $source),
            '2587372' => $this->module->l('Step', $source),
            '2603341' => $this->module->l('Text', $source),
            '2622298' => $this->module->l('Type', $source),
            '2641316' => $this->module->l('Unit', $source),
            '20170714' => $this->module->l('Field groups', $source),
            '42216636' => $this->module->l('Show less', $source),
            '42255992' => $this->module->l('Show more', $source),
            '42572887' => $this->module->l('Maximum files', $source),
            '46603408' => $this->module->l('Greater than or equal', $source),
            '60673783' => $this->module->l('Calculation Order', $source),
            '65193517' => $this->module->l('Clear', $source),
            '65203672' => $this->module->l('Close', $source),
            '67634599' =>
                 $this->module->l('Any change will have an effect on the configuration of _nb_ products.', $source),
            '67875034' => $this->module->l('Field', $source),
            '69070285' => $this->module->l('Grids', $source),
            '70760763' => $this->module->l('Image', $source),
            '73174740' => $this->module->l('Label', $source),
            '78727453' => $this->module->l('Range', $source),
            '80208647' => $this->module->l('Steps', $source),
            '81768821' => $this->module->l('Will show an error when no option is selected', $source),
            '82420049' => $this->module->l('Value', $source),
            '94764465' => $this->module->l('Checked by default', $source),
            '96215082' => $this->module->l('Export configuration to a file', $source),
            '96634189' => $this->module->l('empty', $source),
            '112524536' => $this->module->l('Any change will have an effect on the linked configurations.', $source),
            '146608883' => $this->module->l('Clear existing elements before copying', $source),
            '168044563' => $this->module->l('Prefix with a space if needed', $source),
            '177208536' => $this->module->l('Not recommended as it can slow down the cart page', $source),
            '188877356' => $this->module->l('Select a product', $source),
            '190258903' => $this->module->l('Important: The name must be a valid css class name', $source),
            '209981527' => $this->module->l('Control field', $source),
            '213777395' =>
                 $this->module->l('Use _Up__ / _Down__ arrows and _Tab__ / _Shift__ _Tab__ to navigate between fields', $source),
            '217062059' => $this->module->l('Delete field formula', $source),
            '225214028' => $this->module->l('Import configuration from a file', $source),
            '255574909' => $this->module->l('Add a new condition', $source),
            '309632339' => $this->module->l('Add a new option', $source),
            '335921277' => $this->module->l('Select All', $source),
            '337710188' => $this->module->l('Delete all items', $source),
            '341682506' => $this->module->l('Example', $source),
            '342988778' => $this->module->l('Collapsible', $source),
            '366478171' => $this->module->l('Disabled days', $source),
            '391613546' =>
                 $this->module->l('This will **ALSO DELETE the original item**. Are you sure that you want to continue?', $source),
            '403974246' => $this->module->l('Display secondary value as option description', $source),
            '414080266' => $this->module->l('Max date', $source),
            '415178366' => $this->module->l('Options', $source),
            '448768363' => $this->module->l('Refresh databases list', $source),
            '472144411' => $this->module->l('Price unit', $source),
            '487485563' => $this->module->l('Delete grid', $source),
            '499705571' => $this->module->l('No steps configured yet!', $source),
            '501633139' => $this->module->l('Display the calculated price in the category page', $source),
            '502849757' => $this->module->l('Actions', $source),
            '512870211' => $this->module->l('Remove field from favorites', $source),
            '524754236' => $this->module->l('Add a row', $source),
            '539312109' => $this->module->l('Formulas', $source),
            '551803430' => $this->module->l('PrestaShop fields', $source),
            '556571664' => $this->module->l('Available fields', $source),
            '593819435' => $this->module->l('Available groups', $source),
            '616048556' => $this->module->l('Save and close', $source),
            '618203353' => $this->module->l('Display dropzone', $source),
            '635062501' => $this->module->l('Interval', $source),
            '641384524' => $this->module->l('Load formula', $source),
            '642864804' =>
                 $this->module->l('If you choose to hide all fields for one or more combinations, make sure to disable the option "Required customization" above', $source),
            '648178368' => $this->module->l('Enable if the price depends on the cart quantity', $source),
            '674841376' => $this->module->l('This product has no field groups', $source),
            '679767347' => $this->module->l('Display secondary value as option price', $source),
            '683837713' => $this->module->l('Open in a new tab', $source),
            '686245726' => $this->module->l('Add interval field', $source),
            '694222335' => $this->module->l('Interval field', $source),
            '707322317' => $this->module->l('Instead of the currency symbol', $source),
            '714420990' => $this->module->l('Values (separate by comma, use dot for decimal values)', $source),
            '717577136' => $this->module->l('Edit summary', $source),
            '723571741' => $this->module->l('Click to edit formula', $source),
            '733185705' => $this->module->l('Calculation', $source),
            '743137649' => $this->module->l('Are you sure you want to delete the selected fields?', $source),
            '747570142' => $this->module->l('Weight formula', $source),
            '751248134' => $this->module->l('Edit description', $source),
            '818934447' => $this->module->l('Click to toggle the option visibility', $source),
            '856190703' => $this->module->l('The formula is valid', $source),
            '863835572' => $this->module->l('Import/Export configuration', $source),
            '877234552' => $this->module->l('This element was not found', $source),
            '882649860' => $this->module->l('Recalculate price in cart after each page view', $source),
            '894228158' => $this->module->l('Show in cart summary', $source),
            '896194968' => $this->module->l('Advanced configuration', $source),
            '910258683' => $this->module->l('Date after/before dd days', $source),
            '936109071' =>
                 $this->module->l('This name is a reserved Excel function name, please use another name', $source),
            '941456859' => $this->module->l('add a new field group', $source),
            '942696557' => $this->module->l('Display tax excluded prices', $source),
            '955701460' => $this->module->l('Delete interval field', $source),
            '956903001' => $this->module->l('Delete interval group', $source),
            '957328081' => $this->module->l('Expand condition (Shift + Click to expand all)', $source),
            '967323594' => $this->module->l('Unlink configurations', $source),
            '987228486' => $this->module->l('Formula', $source),
            '1015824103' => $this->module->l('The formula contains unknown fields', $source),
            '1018815151' => $this->module->l('Combination', $source),
            '1023084919' => $this->module->l('Select a field', $source),
            '1028005612' => $this->module->l('Enable the module for this product', $source),
            '1035798281' => $this->module->l('Unknown group', $source),
            '1062605528' => $this->module->l('Conditions', $source),
            '1074180180' => $this->module->l('No field groups configured yet!', $source),
            '1092329901' => $this->module->l('Insert as one step', $source),
            '1092758090' => $this->module->l('Allow multiselection', $source),
            '1119619936' => $this->module->l('Product Page', $source),
            '1128817579' => $this->module->l('Copy configuration', $source),
            '1139462901' => $this->module->l('Toggle all', $source),
            '1142656251' => $this->module->l('Condition', $source),
            '1152371054' => $this->module->l('Configure options visibility', $source),
            '1201193478' => $this->module->l('Display the "Starting from" label in the category page', $source),
            '1224131978' =>
                 $this->module->l('No custom execution order is configured, the default order will be used', $source),
            '1265447825' => $this->module->l('Minimize condition (Shift + Click to minimize all)', $source),
            '1292109984' => $this->module->l('Script name', $source),
            '1299208205' => $this->module->l('Delete this row', $source),
            '1311260723' => $this->module->l('Formula copied to clipboard', $source),
            '1319091200' => $this->module->l('Field Formula', $source),
            '1327464299' => $this->module->l('Recalculate price in cart when quantity changes', $source),
            '1346468776' => $this->module->l('Preview', $source),
            '1365932015' => $this->module->l('Steps Activation', $source),
            '1378058502' => $this->module->l('Delete condition', $source),
            '1382863923' => $this->module->l('Cost formula', $source),
            '1385751734' =>
                 $this->module->l('You can import/export a file containing the product configuration', $source),
            '1473269982' => $this->module->l('Groups Visibility', $source),
            '1479721030' => $this->module->l('Applies only if the product has a price of 0', $source),
            '1499275331' => $this->module->l('Settings', $source),
            '1503955207' => $this->module->l('The current formula is empty', $source),
            '1506518963' => $this->module->l('Insert step', $source),
            '1507272505' => $this->module->l('Demo mode enabled, only these types will be accepted', $source),
            '1518498724' => $this->module->l('Combinations', $source),
            '1525066715' => $this->module->l('Copy formula', $source),
            '1529599611' => $this->module->l('Add field column', $source),
            '1539356550' => $this->module->l('Cancel selection', $source),
            '1543324436' => $this->module->l('Row field', $source),
            '1547472170' => $this->module->l('Displayed price', $source),
            '1550611840' => $this->module->l('Use a custom calculation order', $source),
            '1589928967' =>
                 $this->module->l('The new Calculation tab displays a unified interface to add and organize calculation items', $source),
            '1606304409' => $this->module->l('Show or Hide the fields based on the selected combination', $source),
            '1611563307' => $this->module->l('Interval formula', $source),
            '1616172285' => $this->module->l('This group has already been added', $source),
            '1620484928' => $this->module->l('Delete this item', $source),
            '1620782841' => $this->module->l('Delete this step', $source),
            '1642806840' => $this->module->l('Databases', $source),
            '1652081830' => $this->module->l('Click to toggle the field visibility', $source),
            '1721653182' => $this->module->l('Deselect All', $source),
            '1741737838' => $this->module->l('Click to insert an option', $source),
            '1772226151' => $this->module->l('If empty, then the field name will be used', $source),
            '1781676314' => $this->module->l('Display weight to customers', $source),
            '1782805700' => $this->module->l('Quantity (PrestaShop Quantity)', $source),
            '1799432497' => $this->module->l('CSS class name (optional)', $source),
            '1816510966' => $this->module->l('Display label', $source),
            '1821258733' => $this->module->l('Clear the current configuration', $source),
            '1843498208' => $this->module->l('Allow saving customization to profile', $source),
            '1880571668' => $this->module->l('Minimum width', $source),
            '1887918305' => $this->module->l('unlimited', $source),
            '1890611904' => $this->module->l('Custom suffix', $source),
            '1907478750' =>
                 $this->module->l('Linking will affect current and future products of selected category', $source),
            '1926535580' => $this->module->l('Remove this column', $source),
            '1939070905' => $this->module->l('Will show an error when set to 0', $source),
            '1939937161' => $this->module->l('Delete selected fields', $source),
            '1962674479' => $this->module->l('Use Ctrl + Enter to save formula', $source),
            '1970866633' => $this->module->l('Unlink configuration', $source),
            '1990316837' => $this->module->l('Are you sure to toggle all options?', $source),
            '1991049567' => $this->module->l('Hide in summary when unchecked', $source),
            '2001303836' => $this->module->l('Loading', $source),
            '2005080793' => $this->module->l('Fields Visibility', $source),
            '2008912283' => $this->module->l('Add condition group', $source),
            '2011110042' => $this->module->l('Cancel', $source),
            '2030152089' => $this->module->l('Minimum height', $source),
            '2076495866' => $this->module->l('Insert all items', $source),
            '2089680852' => $this->module->l('Export', $source),
            '2104126169' => $this->module->l('Fields', $source),
            '2124186744' => $this->module->l('Click to toggle the step visibility', $source),
            '2141373940' => $this->module->l('Groups', $source),
            '-2057845645' => $this->module->l('Field Formulas', $source),
            '-1787898834' => $this->module->l('Intervals', $source),
            '-321013333' => $this->module->l('Product original price', $source),
            '-1173076394' => $this->module->l('Product original weight', $source),
            '-91109833' => $this->module->l('The quantity selected by the customer', $source),
            '-343092435' =>
                 $this->module->l('You can configure the visibility of each field based on the selected combination. A hidden field will have a null value in the formula', $source),
            '-360169678' => $this->module->l('Visibility', $source),
            '-984860935' => $this->module->l('Proportions', $source),
            '-1395957536' => $this->module->l('Require all steps to be completed', $source),
            '-258501236' => $this->module->l('This step has already been added', $source),
            '-2047922448' => $this->module->l('Available steps', $source),
            '-936937268' => $this->module->l('Manage steps', $source),
            '-1544869189' => $this->module->l('Refresh', $source),
            '-986386678' => $this->module->l('add a new step', $source),
            '-1020392531' => $this->module->l('Start by inserting a step from the list above', $source),
            '-1213154046' => $this->module->l('Unknown step', $source),
            '-1072973150' => $this->module->l('Drag to reorder', $source),
            '-1003134522' => $this->module->l('There are no fields yet, add a new field in the fields tab.', $source),
            '-1920372430' => $this->module->l('Required customization', $source),
            '-1640250765' => $this->module->l('Hide quantity input', $source),
            '-911095655' => $this->module->l('Multiply price & weight by quantity', $source),
            '-319880804' =>
                 $this->module->l('If activated, the displayed price & weight on the product page will be multiplied by the quantity', $source),
            '-1536078307' => $this->module->l('Split summary by groups', $source),
            '-567220177' => $this->module->l('Per kilo, per litre', $source),
            '-1105717282' =>
                 $this->module->l('You can configure a displayed price if your product has a price of 0', $source),
            '-260281722' => $this->module->l('Display customization cost in customization summary', $source),
            '-72782714' => $this->module->l('Copy configuration to clipboard', $source),
            '-2100928571' => $this->module->l('Import', $source),
            '-839043195' => $this->module->l('Import configuration from clipboard', $source),
            '-266050175' => $this->module->l('Export image links instead of encoding the images', $source),
            '-970294887' =>
                 $this->module->l('Results in a smaller file. Only enable if the images can be accessed from your target shop.', $source),
            '-512299320' =>
                 $this->module->l('Please select the elements you want to copy from the source product.', $source),
            '-1440091513' => $this->module->l('Equations', $source),
            '-1295811629' => $this->module->l('Combination Values', $source),
            '-1569442514' => $this->module->l('Combinations Visibility', $source),
            '-1780637860' => $this->module->l('Load configuration', $source),
            '-1680464031' => $this->module->l('Select a category', $source),
            '-755060688' =>
                 $this->module->l('Will use the same configuration in multiple products instead of copying it', $source),
            '-969155480' => $this->module->l('Link instead of copying', $source),
            '-743709137' =>
                 $this->module->l('Will not preserve the original configurations of the linked products', $source),
            '-198824349' => $this->module->l('Clear the configurations of linked products', $source),
            '-77133620' =>
                 $this->module->l('You can copy or link this configuration to all products of the selected category', $source),
            '-97880005' => $this->module->l('Will use the same configuration instead of copying it', $source),
            '-861552729' => $this->module->l('Will not preserve the current configuration', $source),
            '-814503541' =>
                 $this->module->l('You can copy the selected product configuration to the current product', $source),
            '-376014216' => $this->module->l('Add a new proportion', $source),
            '-1266890280' => $this->module->l('Add an interval group', $source),
            '-1739945662' => $this->module->l('Values', $source),
            '-167002208' => $this->module->l('Interval condition', $source),
            '-1983196248' => $this->module->l('Less than', $source),
            '-530681616' => $this->module->l('+Infinity (no upper limit)', $source),
            '-813310028' => $this->module->l('Remove this condition group', $source),
            '-1754233898' =>
                 $this->module->l('Allows the customer to expand/collapse the group by clicking on the group label', $source),
            '-1203478535' => $this->module->l('Start collapsed', $source),
            '-557346165' => $this->module->l('Select the field that you want to add', $source),
            '-1442032302' => $this->module->l('Pick a field...', $source),
            '-997806686' =>
                 $this->module->l('This feature will duplicate the group based on the value of the selected field', $source),
            '-1306471438' => $this->module->l('Delete this group', $source),
            '-626105070' => $this->module->l('Insert field group', $source),
            '-2074469771' => $this->module->l('Manage field groups', $source),
            '-912813020' => $this->module->l('Add a grid', $source),
            '-177830133' => $this->module->l('Import CSV', $source),
            '-1963285437' => $this->module->l('Delete this column', $source),
            '-1849538101' => $this->module->l('Target field', $source),
            '-1759411248' => $this->module->l('Column field', $source),
            '-1157161804' => $this->module->l('Add a column', $source),
            '-754551441' => $this->module->l('Price formula', $source),
            '-1451894031' => $this->module->l('Quantity formula', $source),
            '-874003249' =>
                 $this->module->l('Some field names are duplicated. You can either rename them or delete them.', $source),
            '-1522567076' => $this->module->l('Add a new field', $source),
            '-597373332' =>
                 $this->module->l('Do you want to update the field name in all the product formulas?', $source),
            '-2043405119' => $this->module->l('Displayed', $source),
            '-2133620278' => $this->module->l('Hidden', $source),
            '-871138304' => $this->module->l('Load a field from favorites', $source),
            '-907353161' => $this->module->l('Load a field from common fields', $source),
            '-400560676' => $this->module->l('Insert a new field here', $source),
            '-827747024' => $this->module->l('Click to select fields', $source),
            '-1162526551' => $this->module->l('Field settings', $source),
            '-192987258' => $this->module->l('Summary', $source),
            '-2066126138' => $this->module->l('Delete image', $source),
            '-1667496710' => $this->module->l('Click to upload an image', $source),
            '-2071596850' => $this->module->l('Delete color', $source),
            '-403094350' => $this->module->l('Click to pick a color', $source),
            '-56677412' => $this->module->l('Description', $source),
            '-455739515' => $this->module->l('Secondary Value', $source),
            '-1085510111' => $this->module->l('Default', $source),
            '-328495169' => $this->module->l('Required', $source),
            '-195866273' => $this->module->l('Display value as option price', $source),
            '-961591827' => $this->module->l('Image height (px)', $source),
            '-2110296218' => $this->module->l('Display info in a popup', $source),
            '-930467021' => $this->module->l('Import images', $source),
            '-812471947' => $this->module->l('Initial value', $source),
            '-2028851885' => $this->module->l('Placeholder', $source),
            '-124100328' => $this->module->l('Min characters', $source),
            '-781016378' => $this->module->l('Max characters', $source),
            '-563123098' => $this->module->l('Hide in summary when empty or equal to zero', $source),
            '-1281023549' => $this->module->l('Display PrestaShop style buttons', $source),
            '-1732758869' => $this->module->l('Maximum size (MB)', $source),
            '-786546228' => $this->module->l('Allowed Extensions', $source),
            '-1369255836' => $this->module->l('Thumbnail size (px)', $source),
            '-303839446' => $this->module->l('Initial date', $source),
            '-2027417515' => $this->module->l('Current day', $source),
            '-1362116388' => $this->module->l('Min date', $source),
            '-1052633864' => $this->module->l('Comma separated.', $source),
            '-901436182' => $this->module->l('Sun: 1, Mon: 2, Tues: 3, Wed: 4, Thurs: 5, Fri: 6, Sat: 7', $source),
            '-981640203' => $this->module->l('The JSON code is not valid, please check the browser console.', $source),
            '-1156506214' => $this->module->l('JSON Config', $source),
            '-829601945' => $this->module->l('Initial color', $source),
            '-1339063232' => $this->module->l('View image', $source),
            '-1754727903' => $this->module->l('Upload', $source),
            '-929869225' => $this->module->l('Add field to favorites', $source),
            '-772024966' => $this->module->l('Remove field from common fields', $source),
            '-43752491' => $this->module->l('Set as common field', $source),
            '-1470017715' => $this->module->l('Duplicate this field', $source),
            '-1208718378' => $this->module->l('This will not delete the original field', $source),
            '-1307672979' => $this->module->l('Delete this field', $source),
            '-2016607813' => $this->module->l('Filter field formulas', $source),
            '-1479771459' => $this->module->l('Create a new field formula', $source),
            '-505434665' => $this->module->l('Click to edit', $source),
            '-345562080' => $this->module->l('Field formula', $source),
            '-1561849983' =>
                 $this->module->l('This calculation order is now replaced by the Calculation tab', $source),
            '-198258289' => $this->module->l('Add an execution item', $source),
            '-1450803135' => $this->module->l('deletes all execution items', $source),
            '-1327547091' => $this->module->l('Reset to default', $source),
            '-1069635520' => $this->module->l('Filter conditions', $source),
            '-1840858600' => $this->module->l('Create a new condition', $source),
            '-27641343' => $this->module->l('Click to toggle the group visibility', $source),
            '-184663564' => $this->module->l('Options visibility', $source),
            '-1853217873' => $this->module->l('Show the advanced settings', $source),
            '-1733472447' => $this->module->l('Condition formula', $source),
            '-141573914' => $this->module->l('Filter condition fields', $source),
            '-1364207966' => $this->module->l('Are you sure that you want to delete all items?', $source),
            '-88887989' => $this->module->l('Click to open the item', $source),
            '-213492928' => $this->module->l('Click to open the item tab', $source),
            '-1997101839' => $this->module->l('Hold shift to also delete the original item', $source),
            '-1437454083' => $this->module->l('Are you sure that you want to add all the items?', $source),
            '-2068694494' => $this->module->l('Insert selected items', $source),
            '-1504585939' => $this->module->l('No items were found, start by adding a new item below', $source),
            '-1095166702' => $this->module->l('Pick a custom color', $source),
            '-2029223687' => $this->module->l('Edit product', $source),
            '-885795230' => $this->module->l('Module configuration', $source),
            '-865760232' => $this->module->l('This configuration is linked to the product', $source),
            '-2090976550' => $this->module->l('Copy linked configuration', $source),
            '-1627988830' => $this->module->l('View original configuration', $source),
            '-781361040' => $this->module->l('This configuration is linked to _nb_ products', $source),
            '-209324991' => $this->module->l('Filter fields', $source),
            '-859165076' => $this->module->l('You can use multiple filters separated by spaces', $source),
            '-1888060882' => $this->module->l('Check formula', $source),
            '-2478677' => $this->module->l('Add formula to favorites', $source),
            '-1433567116' => $this->module->l('Are you sure you want to delete this item', $source),
            '-135023574' => $this->module->l('Could not copy formula to clipboard', $source),
            '-1882967692' => $this->module->l('Remove formula from presets', $source),
            '-429764437' => $this->module->l('No preset formulas. Click the star icon to add one.', $source),
            '-1799625922' => $this->module->l('Please enter a field name first', $source),
            '-2132954502' => $this->module->l('Create a new dynamic variable field', $source),
            '-1783025135' => $this->module->l('Field name', $source),
            '-226074697' => $this->module->l('Save new field', $source),
            '-229417419' => $this->module->l('Databases refreshed successfully', $source),
            '-377760440' => $this->module->l('Product attributes', $source),
            '-590915474' => $this->module->l('Product features', $source),
            '-274987431' => $this->module->l('Long press to use the secondary value', $source),
            '-426186843' => $this->module->l('Secondary value', $source),
            // end admin
        ];
    }

    public function getFrontTranslations()
    {
        $source = 'TranslationHelper';

        return [
            // start front -1194575082
            '2453' => $this->module->l('MB', $source),
            '77124' => $this->module->l('Max', $source),
            '77362' => $this->module->l('Min', $source),
            '2062599' => $this->module->l('Back', $source),
            '2424595' => $this->module->l('Next', $source),
            '2569629' => $this->module->l('Save', $source),
            '2641316' => $this->module->l('Unit', $source),
            '65193517' => $this->module->l('Clear', $source),
            '65203672' => $this->module->l('Close', $source),
            '78727453' => $this->module->l('Range', $source),
            '80208647' => $this->module->l('Steps', $source),
            '234648590' => $this->module->l('Click to expand/collapse this section', $source),
            '361237766' =>
                $this->module->l('You can disable it in the main configuration page of the module', $source),
            '414535005' => $this->module->l('Max size', $source),
            '437675785' => $this->module->l('Max number of files', $source),
            '573578838' =>
                $this->module->l('This product is no longer in stock with the selected values, please select smaller values.', $source),
            '741835352' => $this->module->l('Min width', $source),
            '936937052' => $this->module->l('Import files', $source),
            '1089064661' => $this->module->l('Min height', $source),
            '1203730580' => $this->module->l('Min length', $source),
            '1245424234' => $this->module->l('characters', $source),
            '1346468776' => $this->module->l('Preview', $source),
            '1439070864' => $this->module->l('Save customization', $source),
            '1440457123' => $this->module->l('Import an image', $source),
            '1620385193' => $this->module->l('Delete this file', $source),
            '1814419550' => $this->module->l('Drag and drop file to upload', $source),
            '1949421469' => $this->module->l('Only _max_files_ file(s) can be uploaded', $source),
            '1964022964' => $this->module->l('You can save this customization without adding it to cart.', $source),
            '2034149939' => $this->module->l('This section is displayed to admins only.', $source),
            '2035175638' => $this->module->l('Saving this customization will change the order total.', $source),
            '-1739945662' => $this->module->l('Values', $source),
            '-1822154468' => $this->module->l('Select', $source),
            '-1268268734' => $this->module->l('Max length', $source),
            '-987857235' => $this->module->l('pixels', $source),
            '-512469298' => $this->module->l('Accepted file types', $source),
            '-1213154046' => $this->module->l('Unknown step', $source),
            '-1310964303' =>
                $this->module->l('An error prevented the dynamic product module from displaying the fields', $source),
            '-1893379118' => $this->module->l('Loading...', $source),
            '-116694267' => $this->module->l('Dynamic Product: Debug mode enabled', $source),
            '-979257952' => $this->module->l('Please pick a valid HEX color (#FFFFFF)', $source),
            '-328495169' => $this->module->l('Required', $source),
            '-445468723' => $this->module->l('Enlarge image', $source),
            '-906759650' => $this->module->l('Some files were not accepted', $source),
            '-1959710475' => $this->module->l('File types', $source),
            '-930467021' => $this->module->l('Import images', $source),
            '-1124310689' => $this->module->l('Imported image', $source),
            '-1230460266' => $this->module->l('Import a file', $source),
            '-36360968' => $this->module->l('Imported file', $source),
            '-1095166702' => $this->module->l('Pick a custom color', $source),
            '-1707725160' => $this->module->l('Weight', $source),
            '-1056574219' => $this->module->l('Please enter a name for your customization', $source),
            '-1904389485' => $this->module->l('The customization was saved successfully', $source),
            '-119700608' => $this->module->l('The link was copied to your clipboard', $source),
            '-1985356111' => $this->module->l('This message is only displayed to Admins', $source),
            '-2041532723' =>
                $this->module->l('The customizations you save as an Admin can be viewed by anyone', $source),
            '-1272271923' => $this->module->l('Save in my profile', $source),
            '-2121343663' => $this->module->l('Get customization link', $source),
            '-843746907' => $this->module->l('Copy link', $source),
            '-45978920' => $this->module->l('Customization name', $source),
            '-839945901' => $this->module->l('Please complete all the steps above then try again', $source),
            // end front
        ];
    }
}
